"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MacroSection = void 0;

var _preact = require("preact");

var _section = _interopRequireDefault(require("./section"));

var _componentCode = _interopRequireDefault(require("./component-code"));

var _editableDescription = require("../macros/editable-description");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const caseMacro = {
  copied: {
    recorderName: 'Joe Smith',
    present: 'Clair Kohler, Justin Mayert',
    userRole: 'both',
    asaClassification: '1',
    mallampati: 'Class II',
    weightDistribution: 'Waist and above',
    reasonForSedation: 'Inability to achieve profound local anesthesia',
    pregnant: 'n',
    breastfeeding: false,
    breastfeedingInstructionsGiven: false,
    lastFood: '9pm',
    lastDrink: '9pm',
    procedureNotes: 'This is where procedural notes are entered.',
    recoveryNotes: 'This is where recovery notes are entered.',
    preProcedureRiskAssessment: 'Facial hair could make masking more difficult.',
    dischargeScoreType: 'aldrete'
  },
  vitalTypes: {
    fio2: 'selected',
    eto2: 'selected',
    fin2o: 'selected',
    etn2o: 'selected',
    fisev: 'selected'
  },
  parenDrugs: [{
    id: '4337',
    name: 'Fentanyl',
    unit: 'mcg',
    draw: '100'
  }, {
    id: '6960',
    name: 'Midazolam',
    route: 'IV',
    unit: 'mg',
    draw: '10',
    dose: '10'
  }],
  airways: [{
    type: 'nc'
  }],
  pos: ['Supine', 'Supine'],
  iv: {
    location: 'AC',
    side: 'Right',
    securedWith: 'Tape',
    attempts: 1,
    needleGauge: '22',
    solutionType: 'D5W'
  }
};

class MacroSection extends _preact.Component {
  constructor(props) {
    super(props);
    this.updateMacro = this.updateMacro.bind(this);
    this.state = {
      macro: caseMacro
    };
  }

  updateMacro(macro) {
    this.setState({
      macro
    });
  }

  render() {
    return (0, _preact.h)("div", null, (0, _preact.h)(_section.default, {
      title: "Macros"
    }, (0, _preact.h)(_componentCode.default, {
      name: "Macro",
      code: "<EditableMacroDescription\n  macro={caseMacro}\n  onChange={update => {\n    console.log('changed state', update)\n  }}\n/>"
    }), (0, _preact.h)(_editableDescription.EditableMacroDescription, {
      macro: caseMacro,
      onChange: update => {
        // eslint-disable-next-line no-console
        console.log('changed state', update);
      }
    })));
  }

}

exports.MacroSection = MacroSection;